ftpmirror (1.96+dfsg-16build3) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:40:02 +0100

ftpmirror (1.96+dfsg-16build2) hirsute; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Nov 2020 12:40:57 +0100

ftpmirror (1.96+dfsg-16build1) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 19:27:34 +0000

ftpmirror (1.96+dfsg-16) unstable; urgency=medium

  * Package refreshment.
  * debian/patches: Fix lintian warning due to typo.
  * debian/control:
    - Update Vcs-Git and Vcs-Browser URLs to point to 'salsa'.
    - Updated debhelper dependency to (>= 11):
      + Fix lintian warning 'useless-autoreconf-build-depends'.
    - Bumped Standards-Version to 4.2.1 (no changes)
  * Fix some lintian issues:
    - Fix file-contains-trailing-whitespace in debian/changelog.
    - Fix missing-explanation-for-repacked-upstream-tarball.
  * debian/copyright:
    - Add 'Comment' to explain why the package was repacked.
    - Update copyright years.

 -- Dario Minnucci <midget@debian.org>  Fri, 14 Sep 2018 14:10:15 +0200

ftpmirror (1.96+dfsg-15) unstable; urgency=medium

  * debian/control:
    - Bumped Standards-Version to 3.9.8 (no changes)
    - Update Vcs-Browser URL
  * debian/copyright:
    - Update copyright years.

 -- Dario Minnucci <midget@debian.org>  Wed, 11 Jan 2017 23:10:58 +0100

ftpmirror (1.96+dfsg-14) unstable; urgency=medium

  * debian/control:
    - Bumped Standards-Version to 3.9.6 (no changes)
    - Updated debhelper dependency to (>= 9)
    - Update 'Homepage' field with new software location.
    - Use canonical URIs in 'Vcs-Git' and 'Vcs-Browser' fields.
  * debian/copyright:
    - Update 'Source' field with new software location.
    - Update copyright years.
  * debian/ftpmirror.cf:
    - Update sample package 'upstream' parameters to work using the
      new software location. This will make the example work again
      'out of the box' after the installation. (Closes: #768448)

 -- Dario Minnucci <midget@debian.org>  Mon, 10 Nov 2014 04:46:44 +0100

ftpmirror (1.96+dfsg-13) unstable; urgency=low

  * debian/copyright: Minor fixes
  * The XS modules shipped with this package are installed into
    /usr/lib/ftpmirror, but dh_perl doesn't find them without hinting,
    and therefore doesn't create the right perlapi-* dependency.
    Thanks: Patrice Pillot for reporting and Niko Tyni for the patch.
    (Closes: #659240)

 -- Dario Minnucci <midget@debian.org>  Fri, 10 Feb 2012 00:05:40 +0100

ftpmirror (1.96+dfsg-12) unstable; urgency=low

  * Fixes for FTBFS. (Closes: #643123)
  * debian/control:
    - Bumped Standards-Version to 3.9.2 (no changes)
  * debian/copyright: Fix for out-of-date-copyright-format-uri and
    necessary changes for compatiblity with DEP-5 revision 174

 -- Dario Minnucci <midget@debian.org>  Tue, 27 Sep 2011 09:18:38 +0200

ftpmirror (1.96+dfsg-11) unstable; urgency=low

  * Hosted under git.debian.org (collab-main branch):
    - http://git.debian.org/?p=collab-maint/ftpmirror.git
  * debian/control:
    - Maintainer: Email address updated.
    - Added Vcs-Git and Vcs-Browser fields
    - Updated debhelper dependency to (>= 7.0.50~)
    - Added missing dependency on ${misc:Depends}
    - Bump Standards-Version to 3.9.1:
      - Drop dependency on dpatch
      - Switch to dpkg-source 3.0 (quilt) format
  * debian/rules:
    - Replaced by the 'magic' debian/rules file.
  * debian/patches:
    - Added 00-fix-makefile.diff to fix Makefile.in
  * debian/watch:
    - Upstream URL changed. (Closes:#566500)
  * debian/copyright:
    - Email address updated.

 -- Dario Minnucci <midget@debian.org>  Fri, 11 Feb 2011 00:41:14 +0100

ftpmirror (1.96+dfsg-10) unstable; urgency=low

  * Updated to debhelper 7
  * Bumped Standards-Version to 3.8.3:
      debian/README.source: Added.
  * debian/rules: Fixes.
  * debian/copyright: Adapted to DEP5
    (see http://dep.debian.net/deps/dep5/ for details)
  * debian/rules: Fixes and improvements.

 -- Dario Minnucci (midget) <debian@midworld.net>  Fri, 11 Sep 2009 07:28:45 +0200

ftpmirror (1.96+dfsg-9) unstable; urgency=low

  * debian/patches/07-deal_with_unresolved_UIDs_and_GIDs.dpatch:
    Deal with unresolved UIDs and GIDs in the FTP session (Closes: #504482)
    Thanks to Steffen Neumann <sneumann@ipb-halle.de> for the patch.

 -- Dario Minnucci (midget) <debian@midworld.net>  Mon, 10 Nov 2008 13:54:24 +0100

ftpmirror (1.96+dfsg-8) unstable; urgency=low

  * debian/copyright: RSA copyright statement added. (Closes: #491485)

 -- Dario Minnucci (midget) <debian@midworld.net>  Sun, 20 Jul 2008 13:52:16 +0200

ftpmirror (1.96+dfsg-7) unstable; urgency=low

  * Revert accidental removal. (Re: #490982)

 -- Dario Minnucci (midget) <debian@midworld.net>  Sat, 19 Jul 2008 19:29:54 +0200

ftpmirror (1.96+dfsg-6) unstable; urgency=low

  * debian/doc-base: Deprecated Maintainer field removed.
  * debian/doc-base: Section name fixed.
  * debian/watch: Added dversionmangle option.
  * debian/install: Inclusion of built source suppressed. (Closes: #488167)
  * debian/control: Added missing substvars. (Closes: #488162)
  * debian/copyright: MPCF (Machine-Parsable Copyright Format) implementation.
    Visit http://wiki.debian.org/Proposals/CopyrightFormat for details.

 -- Dario Minnucci (midget) <debian@midworld.net>  Fri, 27 Jun 2008 04:12:38 +0200

ftpmirror (1.96+dfsg-5) unstable; urgency=low

  * debian/control: Bumped Standards-Version to 3.7.3
  * debian/rules: Files now intalled through debian/install. (Closes: #454393)
  * debian/patches/02-perl-libs-path-fix.dpatch: updated.
  * debian/patches/04-config-sample-packages.dpatch not longer applied.
    The default configuration file was rewritten (debian/ftpmirror.cf) and
    ftpmirror.cf-sample is not longer distributed.
  * debian/patches/00list: 04-config-sample-packages has been disabled.
  * debian/install: Arch-dependent-files relocated to /usr/lib/ftpmirror.
  * debian/watch: Useless comment removed.
  * debian/docs: NEWS.Debian not needed (removed).
  * debian/README.Debian: Typos fixed.
  * debian/control: Homepage tag added.
  * debian/ftpmirror.8: Manual page minor improvement.

 -- Dario Minnucci (midget) <debian@midworld.net>  Fri, 07 Dec 2007 06:22:39 +0100

ftpmirror (1.96+dfsg-4) unstable; urgency=low

  * debian/watch: Check for version 1.96x instead of 1.2x (Closes: #417812)
  * patches/06-translated-files.dpatch:
      Added translation into English for README.jis and RELEASE.jis
      Thanks to Fumihito YOSHIDA <hito@kugutsu.org> (Closes: #419150)
  * debian/rules: Changes to get rid of lintian warning.

 -- Dario Minnucci (midget) <debian@midworld.net>  Mon, 16 Jul 2007 03:02:20 +0200

ftpmirror (1.96+dfsg-3) unstable; urgency=low

  * debian/ftpmirror.8: Manual page was improved.
  * debian/patches: Patch files were renamed for better tracking.
  * Fan/MD5/rfc1321.txt: Remove the RFC document. (Closes: #415750)

 -- Dario Minnucci <debian@midworld.net>  Fri, 23 Mar 2007 07:48:25 +0100

ftpmirror (1.96-2) unstable; urgency=low

  * debian/doc-base: Added missing 'Files:' tag which closes RC that
    rendered ftpmirror unusable when doc-base was present in the system.
    Thanks to 'des' (A.k.a Damian Viano) for enlight me and help me
    with testing. (Closes: #409818)
  * README.Debian: A few corrections on the information given
  * debian/copyright: Correction on debianize authors to respect
    previous credits

 -- Dario Minnucci <debian@midworld.net>  Tue,  6 Feb 2007 13:15:05 +0100

ftpmirror (1.96-1) unstable; urgency=low

  * New maintainer's email address <debian@midworld.net>
  * New upstream version 1.96
    - Fixes date issues with Windows ftp server. (Closes: #346390)
  * Manpage updated
  * Added cron.{daily|weekly|monthly} facilities present in previous version
  * Issued a NEWS.Debian file
  * Issued a README.Debian file
  * A few patches has been created for debianization:
    - config-path-fix.dpatch
    - config-sample-packages.dpatch
    - perl-libs-path-fix.dpatch
    - perl-path-fix.dpatch
    - supress-password-output.dpatch

 -- Dario Minnucci <debian@midworld.net>  Tue, 30 Jan 2007 06:19:38 +0100

ftpmirror (1.2l-10) unstable; urgency=low

  * New maintainer (Closes: #353635)
  * debian/control: Bumped Standards-Version to 3.7.2, no changes.
  * debian/control: Moved debhelper and dpatch from Build-Depends-Indep
    to Build-Depends

 -- Dario Minnucci <midget@powered-by-linux.com>  Wed, 10 Jan 2007 20:44:01 +0100

ftpmirror (1.2l-9) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#353635); set maintainer to Debian QA Group.
  * Switch to debhelper 5.
  * Convert ad-hoc patch system to dpatch.
  * debian/doc-base: Fix typo.
  * debian/watch: Add.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Sat, 11 Mar 2006 22:48:10 +0100

ftpmirror (1.2l-8) unstable; urgency=low

  * ftpmirror.8: /usr/doc -> /usr/share/doc (Closes: Bug#189328)

 -- Takao KAWAMURA <kawamura@debian.org>  Thu,  3 Jul 2003 12:41:51 +0900

ftpmirror (1.2l-7) unstable; urgency=low

  * Applied a patch to making ftpmirror work with Perl5.6.
    Thanks Olaf Peters! (Closes: Bug#123941)

 -- Takao KAWAMURA <kawamura@debian.org>  Tue, 16 Apr 2002 10:52:11 +0900

ftpmirror (1.2l-6) unstable; urgency=low

  * Applied a patch to stop sending the user name as password. Thanks
    eperez@dei.inf.uc3m.es! (Closes: Bug#133187)

 -- Takao KAWAMURA <kawamura@debian.org>  Thu, 14 Feb 2002 12:55:09 +0900

ftpmirror (1.2l-5) unstable; urgency=high

  * Applied a y2k patch written by Fumitoshi UKAI <ukai@debian.or.jp>.
  * Added doc-base support.

 -- Takao KAWAMURA <kawamura@debian.org>  Tue, 21 Dec 1999 12:33:38 +0900

ftpmirror (1.2l-4) unstable; urgency=low

  * FHS-compliant

 -- Takao KAWAMURA <kawamura@debian.org>  Sun, 19 Sep 1999 11:57:50 +0900

ftpmirror (1.2l-3) unstable; urgency=low

  * /etc/cron.{daily,weekly.monthly}/ftpmirror: corrected the order of
    the argments for savelog.

 -- Takao KAWAMURA <kawamura@debian.org>  Tue, 17 Aug 1999 12:48:58 +0900

ftpmirror (1.2l-2) unstable; urgency=low

  * Initial Release for Debian (previous versions were uploaded to Debian
    JP Project).
  * Applied the following patch:
        --- lsparse.pl.orig     Thu Jul  1 11:33:48 1999
        +++ lsparse.pl  Thu Jul  1 11:33:59 1999
        @@ -264 +264 @@
        - s/^(.)([-r][-w].[-r][-w].[-r][-w].)\s*// || do {
        + s/^\s*(.)([-r][-w].[-r][-w].[-r][-w].)\s*// || do {
  * Moved /usr/lib/ftpmirror/{ftpmirror,mkdirinfo} into /usr/sbin.
  * Removed /usr/lib/ftpmirror/{COPYRIGHT,README.*}.
  * Moved /usr/lib/ftpmirror/ to /usr/share/ftpmirror/.
  * Installed man pages for ftpmirror and mkdirinfo.
  * Added an automatic mirroring mechanism through cron.
  * Updated to Standards-Version 2.5.0.

 -- Takao KAWAMURA <kawamura@debian.org>  Thu,  1 Jul 1999 12:05:08 +0900

ftpmirror (1.2l-1) unstable frozen; urgency=low

  * New upstream version
  * change to: /usr/lib/ftpmirror/config -> /etc/ftpmirror

 -- takeshi <takeshi@SoftAgency.co.jp>  Tue, 8 Nov 1998 12:04:59 +0900

ftpmirror (1.2k-2) unstable; urgency=low

  * fix debian control file.

 -- takeshi <mtakeshi@mail.at-m.or.jp>  Mon, 4 Aug 1997 16:33:59 +0900

ftpmirror (1.2k-1) unstable; urgency=low

  * Initial Release.

 -- takeshi <mtakeshi@mail.at-m.or.jp>  Thu, 24 Jul 1997 22:26:19 +0900
